#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "fortran.h"
#include "hamilton.h"
#include "Bridge.h"
#include "SPOOLES.h"
#include "mysetup.h"

/* declare global variables */

doublecomplex *parta, *partb, *partc;
double *partcRealOnly;
integer *partar, *partac, *partbr, *partbc, *partcr, *partcc;
integer num, na, nb, nc, permuteflag;
int rc;
Bridge *bridge;

/* function prototypes*/

void speigprob(elslist *els, integer maxprs, integer lanmax, integer lohi,
	       integer *j, integer *neig, doublereal *ritz, doublereal *bnd,
	       integer job, doublecomplex *vec, integer msglvl, 
	       integer *ierr, integer *info, int *info2);

void speigprobA(elslist *els, integer maxprs, integer lanmax, integer lohi,
		integer *j, integer *neig, doublereal *ritz, doublereal *bnd,
		integer job, doublecomplex *vec, integer msglvl,
		integer *ierr);

extern fsub ZOP(integer *n, doublecomplex *P, doublecomplex *Q,
		doublecomplex *R);
 /*R Answer, P and Q are Given*/

extern fsub ZOPM(integer *n, doublecomplex *x, doublecomplex *y);
 /*OPM receives X and returns M*X as Y, but M is the identity matrix so*/

extern fsub OP(integer *n, doublereal *P, doublereal *Q,
	       doublereal *R);

extern fsub OPM(integer *n, doublereal *x, doublereal *y);
